require 'rubygems'

spec = Gem::Specification.new do |s|
  s.name = 'DBrb'
  s.version = "0.1.0"
  s.author = "Tim Becker"
  s.email = "tim@kuriositaet.de" 
  s.homepage = "http://www.kuriositaet.de/ruby/dbrb"
  s.platform = Gem::Platform::RUBY
  s.summary = "Easier access to databases."
  s.description = <<-ENDEND
    DBrb is a database access layer meant to be easier and more consistant
    to use than ruby DBI. Currently, and for the forseeable future it's 
    implemented as a wrapper to the DBI lib.
  ENDEND
  s.files = Dir.glob("{tests,lib}/**/*").delete_if {|item| item.include?("CVS") || item.include?("rdoc")}
  s.files << "README"
  s.require_path = 'lib'
  s.autorequire = 'DB.rb'
  s.has_rdoc = true
  s.requirements << "DBI"
end

if $0==__FILE__
  Gem::manage_gems
  Gem::Builder.new(spec).build
end

